# Invoice Types Invoice Types ## Gets all of the invoice types in the system. - [GET /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/listinvoicetypes.md): This method will scan all invoice types and and return them to the caller. ## Creates a new invoice type record that does not already exist. - [POST /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/createinvoicetype.md): This method will auto-generate an ID and create a new invoice type. If an ID is specified for the invoice type, an error will be thrown. ## Execute Batch Operations - [POST /invoiceTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a invoice type from the system by its ID. - [DELETE /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/deleteinvoicetype.md): This method will delete a invoice type with the specified ID. ## Returns a invoice type from the system by its ID. - [GET /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/getinvoicetype.md): This method will look up a invoice type by the specified ID and return it back. ## Partially updates a invoice type with the specified ID. - [PATCH /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/patchinvoicetype.md): This method will patch an existing invoice type with the specified ID, using the HTTP PATCH specification. ## Updates a invoice type with the specified ID. - [PUT /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/updateinvoicetype.md): This method will update an existing invoice type with the specified ID.